﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace TDD.UnitTestingIntro 
{
    public class PhoneUtils 
    {
        public string ValidatePhoneNum(string input) 
        {
            if (input == null) return "invalid";

            Regex re1 = new Regex(@"[\s\-,()]");
            string digits = re1.Replace(input, "");

            re1 = new Regex(@"^9\d{10}$");
            if (!re1.IsMatch(digits)) return "invalid";

            return digits;
        }
    }
}
